<?php
class SupportHeroWP {
    protected $admin;
    protected $dashboard;

    public function __construct() {
        $this->admin = new SupportHeroWP_Admin();
        $this->dashboard = new SupportHeroWP_Dashboard();
        $this->scanner = new Diagnostic_Scanner();
    }

    public function run() {
        $this->admin->init();
        $this->dashboard->init();
        $this->scanner->init(); // Initialize scanner AJAX handlers
    }
}
