// src/App.jsx

import React from 'react';
import Layout from './components/Layout';

const App = () => {
  // The currentUser and defaultPage are provided via localization: supportherowp.currentUser and supportherowp.defaultPage
  const currentUser = supportherowp.currentUser || 'User';
  const defaultPage = supportherowp.defaultPage || 'dashboard';

  return (
    <Layout currentUser={currentUser} defaultPage={defaultPage} />
  );
};

export default App;
