// src/menuItems.js

import {
    FaHome,
    FaChartBar,
    FaWrench,
    FaPuzzlePiece,
    FaCog,
    FaLockOpen,
    FaQuestionCircle,
  } from 'react-icons/fa';
  
  const menuItems = [
    {
      page: 'dashboard',
      label: 'Dashboard',
      icon: <FaHome />,
      keywords: ['dashboard', 'home', 'overview', 'main', 'stats'],
    },
    {
      page: 'analysis',
      label: 'Analysis',
      icon: <FaChartBar />,
      keywords: ['analysis', 'analyze', 'inspect', 'review', 'audit'],
    },
    {
      page: 'maintain',
      label: 'Maintain',
      icon: <FaWrench />,
      keywords: ['maintain', 'maintenance', 'upkeep', 'repair', 'service'],
    },
    {
      page: 'integration',
      label: 'Integration',
      icon: <FaPuzzlePiece />,
      keywords: ['integration', 'integrate', 'connect', 'link', 'merge'],
    },
    {
      page: 'settings',
      label: 'Settings',
      icon: <FaCog />,
      keywords: ['settings', 'configure', 'preferences', 'options', 'setup'],
    },
    {
      page: 'unlock',
      label: 'Unlock all features',
      icon: <FaLockOpen />,
      keywords: ['unlock', 'features', 'premium', 'upgrade'],
    },
    {
      page: 'help',
      label: 'Help',
      icon: <FaQuestionCircle />,
      keywords: ['help', 'support', 'assist', 'faq', 'documentation'],
    },
    // Add more menu items as needed
  ];
  
  export default menuItems;
  