// src/pages/Unlock.jsx

import React from 'react';

const Unlock = () => {
  return (
    <div className="flex items-center justify-center h-full p-6 bg-[#f9f9f9]">
      <div className="bg-white rounded-lg shadow-lg p-8 max-w-md w-full text-center">
        {/* Logo */}
        <img
          src={`${supportherowp.pluginUrl}assets/images/logo.png`}
          alt="SupportHeroWP Logo"
          className="mx-auto mb-6 h-16 w-auto"
        />

        {/* Title */}
        <h2 className="text-2xl font-semibold text-gray-800 mb-4">Unlock All Features</h2>

        {/* Message */}
        <p className="text-gray-600">
          SupportHeroWP is currently in beta mode. For now, this plugin is free to use. We appreciate your support and feedback as we continue to improve!
        </p>

        {/* Optional: Add a call-to-action button */}
        {/* <button className="mt-6 bg-orange-500 text-white px-4 py-2 rounded-lg hover:bg-orange-600 transition">
          Learn More
        </button> */}
      </div>
    </div>
  );
};

export default Unlock;
